> For the complete documentation index, see [llms.txt](https://docs.signius.eu/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.signius.eu/api/error-codes.md).

# Error Codes

### &#x20;<mark style="color:yellow;">POST</mark> {{url}}/services/document-folders

* SIZE\_MUST\_BE\_BETWEEN\_0\_AND\_60

### &#x20;<mark style="color:yellow;">POST</mark> {{url}}/services/document-folders/{{documentFolderId}}/documents

* FILE\_TYPE\_IS\_NOT\_SUPPORTED
* FILE\_WITH\_SAME\_NAME\_ALREADY\_EXISTS
* FILE\_PROTECTED\_WITH\_PASSWORD
* DOCUMENT.UPLOAD.FILENAME.TOO.LONG.LENGTH.MUST.BE.BETWEEN.0.AND.96

### <mark style="color:blue;">PUT</mark> {{url}}/services/documents/{{documentId}}

* DOCUMENT\_SIGNEES\_REQUEST\_EMAIL\_INVALID
* DOCUMENT\_SIGNEES\_REQUEST\_ORDER\_INVALID
* DOCUMENT\_SIGNEES\_REQUEST\_SIGNATURE
* EMAIL\_NOT\_VALID
* NAME\_NOT\_VALID
* SIGN\_ALREADY\_EXISTS
* TOO\_MANY\_SIGNERS\_FOR\_FIRST\_PAGE
* TOO\_MANY\_SIGNERS\_FOR\_LAST\_PAGE
* DOCUMENT.SIGNEES.REQUEST.SIGNATURE.EASY.BUSINESS\_CLIENT.REQUIRED – parameter "skipAccountCreation": is not be “true” with Qualified signature.

### &#x20;  When using custom location of signature

&#x20;  During usage of this request you migth occure following errors:

* GRAPHICAL.REPRESENTATION.BEYOND.PAGE
* DOCUMENT.SIGNEES.REQUEST.SIGNEES.USERS.ORDER.INVALID - check your order of users
* DOCUMENT.SIGNEES.REQUEST.SIGNEES.USERS.EMAIL.INVALID - check correction of users e-mails
* GRAPHICAL.REPRESENTATION.OVERLAP.EACH.OTHER - check if values of top and left in "signature" object are set correctly. See width and heigth of signature box above.

### <mark style="color:red;">DEL</mark> {{url}}/services/document-folders/{{documentFolderId}}/

* DOCUMENT.FOLDER.DELETION.FAILED  - deleting a folder , which contains undeleted documents or invalid folder ID

### <mark style="color:green;">Automatic signing</mark>

### <mark style="color:yellow;">POST</mark> {{url}}/services/document-folders/{{documentFolderId}}/sign/session

* SIGN.STATUS.NOT.VALID - Another request for an already signed document

### <mark style="color:yellow;">POST</mark> {{url}}/services/sign/{{batchIds}}

* BATCH\_ID.HAS.BEEN.USED.ONCE


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.signius.eu/api/error-codes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
